import 'package:flutter/material.dart';
import 'dart:async';

import 'package:push_devonics/push_devonics.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {

  @override
  void initState() {
    super.initState();
    initPlatformState();
  }

  // Platform messages are asynchronous, so we initialize in an async method.
  Future<void> initPlatformState() async {
    PushDevonics.init("ba14a7b2-7021-4a3d-bd6d-1265032a7063");
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Push Devonics'),
        ),
        body: Center(
          child: Text('Flutter'),
        ),
      ),
    );
  }
}
